package timing;

import java.util.Set;
import java.util.HashSet;

public class SetRemoveTimer extends Timer {
	Set<Integer> set = new HashSet<>();
	Integer i = 0;
	int size;
	
	public SetRemoveTimer(int size) {
		this.size = size;
		for (int i = 0; i < size; ++i) {
			set.add(i);
		}
	}
	@Override
	public void action() {
		set.remove(i++);
	}
}
